Subject: bug#66241: closed (Re: bug#66241: 30.0.50; [PATCH] Use auth-info-mode for non-hidden authinfo and netrc files)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jan 2024 22:09:02 +0000

Your bug report

#66241: 30.0.50; [PATCH] Use auth-info-mode for non-hidden authinfo and netrc files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66241: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66241
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66241: 30.0.50; [PATCH] Use auth-info-mode for non-hidden authinfo and netrc files
From: Stefan Kangas <[email-masked]>
To: Augusto Stoffel <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Jan 2024 14:08:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Augusto Stoffel <[email-masked]> writes:

> On Sat, 30 Sep 2023 at 19:34, Stefan Kangas wrote:
>
>> Augusto Stoffel <[email-masked]> writes:
>>
>>> See patch for the rationale.
>>
>> Thanks.  Could you explain why you think that this should this be the
>> default value, instead of merely a user customization?
>
> The user customization is indeed rather easy: one can add a "-*- mode:"
> comment at the top of the file.  The main issue with that is that the
> user needs to be aware of the existence of the mode.  I wasn't, until
> recently.
>
> The second point is, I see no potential for false-positives, i.e., who
> would have a file name "authinfo" or "netrc" that is not a credentials
> file?  (Of course this is just a theory which can be disputed.)

Thanks, that makes sense.  So I installed this patch on master
(c12166de380).

I'm closing this bug report.

Subject: 30.0.50; [PATCH] Use auth-info-mode for non-hidden authinfo and netrc files
From: Augusto Stoffel <[email-masked]>
To: [email-masked]
Date: Wed, 27 Sep 2023 18:44:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

See patch for the rationale.

>From dc0abaff3dcaf9c7f48a8cd18dd045ae4323a030 Mon Sep 17 00:00:00 2001
From: Augusto Stoffel <[email-masked]>
Date: Wed, 27 Sep 2023 18:35:32 +0200
Subject: [PATCH] Use auth-info-mode for non-hidden authinfo and netrc files

* files.el (auto-mode-alist): Match non-hidden authinfo and netrc
files, since it is reasonable to store passwords in
~/.emacs.d/authinfo.gpg or a similarly named file.
---
 lisp/files.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/files.el b/lisp/files.el
index b67482a2f74..f2980de4810 100644
--- a/lisp/files.el
+++ b/lisp/files.el
@@ -3038,7 +3038,7 @@ auto-mode-alist
      ("\\.docbook\\'" . sgml-mode)
      ("\\.com\\'" . dcl-mode)
      ("/config\\.\\(?:bat\\|log\\)\\'" . fundamental-mode)
-     ("/\\.\\(authinfo\\|netrc\\)\\'" . authinfo-mode)
+     ("/\\.?\\(authinfo\\|netrc\\)\\'" . authinfo-mode)
      ;; Windows candidates may be opened case sensitively on Unix
      ("\\.\\(?:[iI][nN][iI]\\|[lL][sS][tT]\\|[rR][eE][gG]\\|[sS][yY][sS]\\)\\'" . conf-mode)
      ("\\.la\\'" . conf-unix-mode)
-- 
2.41.0